//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using TestApplicationDomainModel.Objects;

namespace TestApplicationDomainModel.Factories
{

    public class PocoObjectFactory : IFactory<PocoObject>
    {

        public PocoObject Create()
        {
            return new PocoObject();
        }

        public PocoObject Create(PocoObject parent)
        {
            var result = new PocoObject();

            result.NormalText = "Owned by " + parent.ID.ToString();

            return result;
        }

    }
}
